SPA QR Codes
SPA: Creates a new QR Code
Creates a new QR code for the authenticated user's client.
/api/spa/qr-codesAuthorizations
Value for the X-AUTH-TOKEN header parameter.
Request Body
The new QrCode resource
{
"identifier": "myqr",
"text": "https://output.rocks",
"margin": 4,
"size": 150,
"dark": "000000",
"light": "FFFFFF",
"ecLevel": "M",
"centerImageUrl": "https://app.output.rocks/build/images/vertical-logo.png",
"centerImageSizeRatio": 0.3,
"caption": "My Caption",
"captionFontFamily": "sans-serif",
"captionFontSize": 10,
"captionFontColor": "000000",
"templates": [
"string"
],
"subClient": {},
"brandIdentifier": "default",
"active": true,
"activeFrom": "2024-01-01",
"subClientDefault": false
}Response
QrCode resource created
Id generated by Output.Rocks.
Unique QR-Code Identifier
QR data context. <<>> syntax is supported.
Whitespace around QR image
Width and height dimension of the image
Hex color code of "dark" QR grid cells
Hex color code of "light" QR grid cells
Error correction level (L, M, Q, H)
Center image URL. Supports regular URLs or base64 data URIs.
How much space to take up, between 0.0 and 1.0
Caption text to display below the QR code.
Font family of the caption text.
Font size of the caption text in pixels.
Color caption text, hex code.
User, created this entry
User, updated this entry
UTC date time of entry creation
UTC date time of last entry update
Active flag. Default: true
Date to activate the entry. Default: today
Default for environmental tenants (sub-clients)
SubClient ID. Provided on instances with enabled sub-client module only.
SubClient description. Provided on instances with enabled sub-client module only.